tinsert(UISpecialFrames, "CT_RA_ChangelogFrame");
CT_RACHANGES_HEIGHT = 500;
function CT_RAChanges_DisplayDialog()
	CT_RA_ChangelogFrame:SetHeight(CT_RACHANGES_HEIGHT+25);
	-- Initialize dialog
		-- Set title
	CT_RA_ChangelogFrameTitle:SetText(CT_RA_Changes["title"]);
	
		-- Show sections
	local section, totalHeight = 1, 0;
	while ( CT_RA_Changes["section" .. section] ) do
		local objSection = getglobal("CT_RA_ChangelogFrameScrollFrameSection" .. section);
		local part, partHeights = 1, 0;
		
			-- Show section
		objSection:Show();
		
			-- Set section title
		getglobal(objSection:GetName() .. "Title"):SetText(CT_RA_Changes["section" .. section]["title"]);
		
			-- Show parts
		while ( CT_RA_Changes["section" .. section][part] ) do
			local objPart = getglobal("CT_RA_ChangelogFrameScrollFrameSection" .. section .. "Part" .. part);
			
				-- Show part
			objPart:Show();
			
				-- Set part stuff
			getglobal(objPart:GetName() .. "Text"):SetText(CT_RA_Changes["section" .. section][part][2]);
			getglobal(objPart:GetName() .. "Text"):SetHeight(CT_RA_Changes["section" .. section][part][1]);
			objPart:SetHeight(CT_RA_Changes["section" .. section][part][1]);
			partHeights = partHeights + CT_RA_Changes["section" .. section][part][1];
			part = part + 1;
		end
		local addedHeight = ( CT_RA_Changes["section" .. section]["addedHeight"] or 0);
		objSection:SetHeight(partHeights+35+addedHeight);
		totalHeight = totalHeight + partHeights+35+addedHeight;
		section = section + 1;
	end
	CT_RA_ChangelogFrameScrollFrameSection:SetHeight(totalHeight);
	ShowUIPanel(CT_RA_ChangelogFrame);
	CT_RA_ChangelogFrameScrollFrame:UpdateScrollChildRect();
	local minVal, maxVal = CT_RA_ChangelogFrameScrollFrameScrollBar:GetMinMaxValues();
	if ( maxVal == 0 ) then
		CT_RA_ChangelogFrameScrollFrameScrollBar:Hide();
	else
		CT_RA_ChangelogFrameScrollFrameScrollBar:Show();
	end
	CT_RA_ChangelogFrameScrollFrame:SetHeight(CT_RACHANGES_HEIGHT-75);
end

-- Add slash command
CT_RA_RegisterSlashCmd("/공대패치노트", "이번 버전의 공격대 도우미 기능 패치노트를 표시합니다.", 15, "RALOG", CT_RAChanges_DisplayDialog, "/공대패치노트");

CT_RA_Changes = {
	["title"] = "CT_공격대도우미 v1.6",
	
	["section1"] = {
		["title"] = "일반",
		{ 60, "이번 릴리즈는 블리자드에 의해 새로 변경된 사항을 적용하여 코드를 재설계 하는것에 촛점이 맞춰져 있습니다. "..
			"버그 등이 있으면, 저희가 최대한 빠르게 버그를 수정하는 동안은 참고 기다려 주십시오. " },
		{ 90, "|b알림:|eb 변경된 사항들로 인해 사용할 수 없게 된 몇가지 기능들이 삭제되었습니다. 대부분의 경우, "..
			"우리가 이것에 대해 할 수 있는건 없습니다. 몇가지 변경 사항들이 재구축 되고 있지만, 이번 릴리즈에는 시간 관계상 "..
			"적용할 수 없었습니다. 예를 들면 |b대상 관리자|eb와 같은 것이 그렇습니다. 그밖의 "..
			"변경 사항은 |gCT_공격대도우미 2|eg의 릴리즈 때 다시 공개하겠습니다." }
	}
};
for k, v in pairs(CT_RA_Changes) do
	if ( type(v) == "table" ) then
		for key, val in pairs(v) do
			if ( type(val) == "table" ) then
				while ( string.find(val[2], "|[bg].-|e[bg]") ) do
					CT_RA_Changes[k][key][2] = string.gsub(val[2], "^(.*)|b(.-)|eb(.*)$", "%1|c00FFD100%2|r%3");
					CT_RA_Changes[k][key][2] = string.gsub(CT_RA_Changes[k][key][2], "^(.*)|g(.-)|eg(.*)$", "%1|c00FF0000%2|r%3");
				end
			end
		end
	end
end